import { html as m } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, a = Object.getOwnPropertyDescriptor, c = (n, i, s, t) => {
  for (var e = t > 1 ? void 0 : t ? a(i, s) : i, l = n.length - 1, o; l >= 0; l--)
    (o = n[l]) && (e = (t ? o(i, s, e) : o(e)) || e);
  return t && e && u(i, s, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--minusCircleFilled", this.class = "c-pieIcon c-pieIcon--minusCircleFilled", this.name = "IconMinusCircleFilled";
  }
  render() {
    return m`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--minusCircleFilled"><path d="M12.795 3.205a6.781 6.781 0 1 0 0 9.625 6.792 6.792 0 0 0 0-9.625Zm-1.391 5.451H4.596V7.344h6.808v1.312Z"></path></svg>`;
  }
};
c([
  p({ type: String, reflect: !0 })
], r.prototype, "size", 2);
c([
  p({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = c([
  h("icon-minus-circle-filled")
], r);
export {
  r as IconMinusCircleFilled
};
